Bug 6072 - Acquisition permissions inconsistencies
Summary: Acquisition permissions inconsistencies
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-05 15:54 UTC by Paul Poulain
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (5.65 KB, patch)
2011-04-05 15:55 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch (updated) (6.72 KB, patch)
2011-04-05 15:58 UTC, Paul Poulain
Details | Diff | Splinter Review
Signed off patch (6.81 KB, patch)
2011-04-06 08:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-04-05 15:54:44 UTC
In large libraries, some librarian may have permission only to recieve shipments
This patch fixes some permission :
    * booksellers page = accessible to anyone that has at least 1 acq permission
    * parcels = accessible to anyone with order_recieve
    * supplier detail = accessible to anyone that has at least 1 acq permission, but modifying accessible only if vendor_manage
Comment 1 Paul Poulain 2011-04-05 15:55:19 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2011-04-05 15:58:50 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2011-04-06 08:54:10 UTC
* booksellers page = accessible to anyone that has at least 1 acq permission, but modifying accessible only if vendor_manage
OK

Possible enhancement: To get to suppliers detail page I have to search for booksellers. On the list following links are not hidden although I miss the permission:
- modify
- receive shipment

* supplier detail = accessible to anyone that has at least 1 acq
OK

Possible enhancement: On booksellers detail the pulldown 'manage orders' should be hidden when I am missing permissions too.
With vendor_manage I get to see 'Contracts' and 'New contract' but can't access them. Should be hidden, unless I have manage_contracts permission.

Parcels only accesible with order_receive permission
OK

The patch works so I will signoff on it. The display could be improved to reflect the permissions of the user.
Comment 4 Katrin Fischer 2011-04-06 08:55:11 UTC
Created attachment 3725 [details] [review]
Signed off patch
Comment 5 Chris Cormack 2011-04-08 01:13:54 UTC
Pushed please test
Comment 6 Jared Camins-Esakov 2012-12-31 00:11:21 UTC
There have been no further reports of problems so I am marking this bug resolved.